DiskBackupResult (Apache Geode 1.15.4)

org.apache.geode.management

## Class DiskBackupResult

- java.lang.Object
- - org.apache.geode.management.DiskBackupResult

-     public class DiskBackupResult
      extends Object

  Composite data type used to distribute the results of a disk backup operation.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskBackupResult(String diskDirectory, boolean offline)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiskDirectory()` Returns the name of the directory where the files for this backup were written.
    `boolean` | `isOffilne()` Returns whether the backup was successful.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiskBackupResult

          @ConstructorProperties(value={"diskDirectory","offilne"})
          public DiskBackupResult(String diskDirectory,
                                                                                            boolean offline)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
      Parameters:
        `diskDirectory` - the name of the directory where the files for this backup were written
        `offline` - whether the backup was successful

  - ### Method Detail

    - #### getDiskDirectory

          public String getDiskDirectory()

      Returns the name of the directory where the files for this backup were written.
      Returns:
        the name of the directory where the files for this backup were written

    - #### isOffilne

          public boolean isOffilne()

      Returns whether the backup was successful.
      Returns:
        True if the backup was successful, false otherwise.